Description
Ahoi,

When provisionning a host within foreman using Vmware 4.1 update 3, the host is created correctly except the NIC part.
We are using Foreman 1.1-stable.

When checking the NIC details in VCenter, this is what we got:
vmware.png

As you can see, the Summary is correct, but the Network label (which is actually the important one) is empty.
This makes the host not bootable ...

History

#1 - 02/07/2013 07:59 AM - Florent Delvaille

In fact it seems that the list of network vlan in foreman is not correct.
For example, in vcenter we can choose something like: "VLAN 151 (dvSwitchProduction)"

But in Foreman we see 1 line for "VLAN 151", and 1 line for "dvSwitchProduction-DVUplinks137" ... which is apparently the official name of the virtual
switch.

There should be something wrong either in the Ul, or in the query to the Vcenter.
We have multiple virtual Switches, so that could also explain the thing.

)

#2 - 02/07/2013 08:27 AM - Florent Delvaille

We did a try on a different cluster, where we have only 1 virtual switch so network label is something like "VLAN 151" only.
Host is successfully created, with the good network label.

So | think with this we have all info needed to fix :)
Thx in advance;

#3 - 02/07/2013 09:57 AM - Ewoud Kohl van Wijngaarden

The current released version of fog distributed virtual switches are not supported so they are creating as a traditional network.
https://github.com/fog/fog/pull/1431 has been merged, but waiting for a release.

#4 - 02/10/2013 01:00 PM - Florent Delvaille

Confirmed it has nothing to do with foreman. | used the patch proposed above and it works perfectly.

To close IMHO.

#5 - 02/12/2013 02:52 AM - Ohad Levy
- Status changed from New to Resolved

- Priority changed from High to Normal
https://github.com/fog/fog/pull/1431

- Target version set to 1.2.0

#6 - 06/12/2013 03:34 AM - Peter Gustafsson
Updated to foreman 1.2 rc2 but still having this problem, version of vmware is ESXi 5.1.0,914609

#7 - 06/12/2013 03:38 AM - Dominic Cleal
Peter Gustafsson wrote:

Updated to foreman 1.2 rc2 but still having this problem, version of vmware is ESXi 5.1.0,914609

Which version of ruby193-rubygem-fog?
#8 - 06/19/2013 06:12 AM - Peter Gustafsson

1.rpm -ga | grep ruby193-rubygem-fog
ruby193-rubygem-fog-1.11.1-3.el6.noarch

#9 - 06/19/2013 06:19 AM - Dominic Cleal

- Status changed from Resolved to New

#10 - 06/21/2013 06:11 AM - Ewoud Kohl van Wijngaarden

Peter: for this to properly work you need some permissions on the network devices. Are you admin or can you at least read the dvswitch and virtual
port group?

#11 - 06/21/2013 06:12 AM - Anonymous

- Assignee set to Anonymous

#12 - 06/24/2013 09:29 AM - Peter Gustafsson

Ewoud, My user has full admin rights.

#13 - 06/26/2013 03:13 AM - Peter Gustafsson

It turned out that there were multiple networks with the same name in the VMware cluster, one ordinary and one drvgroup backed.
We renamed one of the network and now the network label is correct set during creation of the vm.

Br, Peter
#14 - 06/26/2013 03:14 AM - Dominic Cleal
- Status changed from New to Closed

- % Done changed from 0 to 100

- Assignee deleted (Anonymous)
